Error checking whether libxml

Обновлялся на php5.4.16. При сборке вылезает ошибка:

 

checking whether libxml build works… no

configure: error: build test failed.  Please check the config.log for details.

В /usr/ports/lang/php5/work/php-5.4.16/config.log насчет libxml2 находим следующее:

configure:21972: checking whether libxml build works

configure:21999: cc -o conftest -O2 -pipe -march=prescott -fno-strict-aliasing -fvisibility=hidden   -R/usr/local

/lib -L/usr/local/lib conftest.c

  -lm  -lxml2 -lz -liconv -lm >&5

/usr/local/lib/libxml2.so: undefined reference to `lzma_code&XZ_5.0′

/usr/local/lib/libxml2.so: undefined reference to `lzma_auto_decoder&XZ_5.0′

/usr/local/lib/libxml2.so: undefined reference to `lzma_end&XZ_5.0′

/usr/local/lib/libxml2.so: undefined reference to `lzma_properties_decode&XZ_5.0′

configure:21999: $? = 1

configure: program exited with status 1

Посмотрим на этот XZ

 

$ cat /usr/ports/archivers/xz/Makefile

Видим:

DEPRECATED=     Available in base distribution for all supported releases

Следовательно, порт не нужен и вреден,  удаляем.

$ cd /usr/ports/archivers/xz/

$ sudo make deinstall

После этого php5 отлично собрался и установился.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *